%define api		3.0
%define api_major	3
%define clutterapi	3.0
%define gir_major	3.0
%define major		0

%define gstapi		1.0

%define oname clutter-gst

%define libname		%mklibname %{oname} %{api} %{major}
%define devname		%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}
%define gstname		gstreamer%{gstapi}-gstclutter3

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	GST video texture actor and audio player object for Clutter
Name:		clutter-gst3
Version:	3.0.27
Release:	%mkrel 6
License:	LGPLv2+
Group:		Graphics/Utilities
Url:		https://clutter-project.org/
Source0:	https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch1:		0001-video-sink-Remove-RGBx-BGRx-support.patch
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)

%description
An integration library for using GStreamer with Clutter.
GST video texture actor and audio player object.

%package -n %{libname}
Summary:	GST video texture actor and audio player object for Clutter
Group:		Graphics/Utilities
Requires:	gstreamer1.0-plugins-base

%description -n %{libname}
An integration library for using GStreamer with Clutter.
GST video texture actor and audio player object.

%package -n %{devname}
Summary:	Development headers/libraries for %{name}
Group:		Development/X11
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}
Provides:	%{_lib}clutter-gst%{api}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{devname}
Development headers/libraries for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{gstname}
Summary:	Gstreamer plugin for %{name}
Group:		System/Libraries

%description -n %{gstname}
Standalone gstreamer plugin for %{name}.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

%build
%configure \
	--disable-static \
	--enable-introspection=yes
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{oname}-%{api}.so.%{major}{,.*}

%files -n %{gstname}
%{_libdir}/gstreamer-1.0/libcluttergst%{api_major}.so

%files -n %{girname}
%{_libdir}/girepository-1.0/ClutterGst-%{gir_major}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{oname}-%{api}
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_libdir}/lib%{oname}-%{api}.so
%{_includedir}/clutter-gst-%{clutterapi}/%{oname}
%{_datadir}/gir-1.0/ClutterGst-%{gir_major}.gir


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.0.27-6.mga10
+ Revision: 2215108
- Mageia 10 Mass Rebuild

* Sun Sep 04 2022 wally <wally> 3.0.27-5.mga9
+ Revision: 1883845
- add Arch patch to remove RGBx/BGRx support from video-sink fo fix Cheese (mga#30796)

* Sun Apr 03 2022 umeabot <umeabot> 3.0.27-4.mga9
+ Revision: 1841598
- Mageia 9 Mass Rebuild

* Wed Apr 22 2020 ovitters <ovitters> 3.0.27-3.mga8
+ Revision: 1570864
- rebuild for to test removal of deprecated macros

* Fri Feb 14 2020 umeabot <umeabot> 3.0.27-2.mga8
+ Revision: 1522693
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed Feb 06 2019 ovitters <ovitters> 3.0.27-1.mga7
+ Revision: 1363636
- new version 3.0.27

* Sat Sep 22 2018 umeabot <umeabot> 3.0.26-2.mga7
+ Revision: 1296612
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 tv <tv> 3.0.26-1.mga7
+ Revision: 1208484
- fix filelist
+ ovitters <ovitters>
- new version 3.0.26

* Thu Mar 30 2017 ovitters <ovitters> 3.0.24-1.mga6
+ Revision: 1095264
- new version 3.0.24

* Tue Dec 06 2016 ovitters <ovitters> 3.0.22-1.mga6
+ Revision: 1072707
- new version 3.0.22

* Mon Sep 26 2016 tv <tv> 3.0.20-2.mga6
+ Revision: 1056792
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 25 2016 ovitters <ovitters> 3.0.20-1.mga6
+ Revision: 1056068
- new version 3.0.20

* Sun Mar 20 2016 ovitters <ovitters> 3.0.18-1.mga6
+ Revision: 993164
- new version 3.0.18

* Fri Feb 12 2016 ovitters <ovitters> 3.0.16-1.mga6
+ Revision: 959349
- new version 3.0.16

* Sat Oct 10 2015 ovitters <ovitters> 3.0.14-1.mga6
+ Revision: 889395
- new version 3.0.14

* Thu Oct 08 2015 ovitters <ovitters> 3.0.12-1.mga6
+ Revision: 887881
- new version 3.0.12

* Fri Sep 04 2015 ovitters <ovitters> 3.0.10-1.mga6
+ Revision: 872738
- new version 3.0.10

* Sat Jul 18 2015 ovitters <ovitters> 3.0.8-1.mga6
+ Revision: 855152
- new version 3.0.8

* Tue Jun 30 2015 wally <wally> 3.0.6-3.mga6
+ Revision: 848830
- rebuild to get more typelib() requires

* Sun Jun 28 2015 wally <wally> 3.0.6-2.mga6
+ Revision: 847164
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 3.0.6-1.mga6
+ Revision: 837871
- imported package clutter-gst3

